PCP.ENV(5)

NAME
pcp.env - script to set Performance Co-Pilot run-time environment variables

SYNOPSIS
/etc/pcp.env

DESCRIPTION
The pcp.env script is sourced by assorted Performance Co-Pilot (PCP) scripts and utilities to define the PCP operating environment variables. The conjugate for executable programs using the PCP libraries is the __pmGetConfig(3) function.

Typical usage of pcp.env in a script is as follows :

      #! /bin/sh

      # source the PCP environment variables
      . /etc/pcp.env
      rest of script ...

The full syntax and semantics of the pcp.conf file and the __pmGetConfig function are described in their respective reference pages.

ENVIRONMENT
The PCP_CONF environment variable specifies an alternative path to the pcp.conf file.

SEE ALSO
PCPIntro(1), PCPIntro(3), PMAPI(3), __pmGetConfig(3) and pcp.conf(5).